=== debian/changelog ===
seer (1.1.1-2build1) yakkety; urgency=medium

  * No-change rebuild for boost soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 04 Aug 2016 08:32:07 +0000

seer (1.1.1-2) unstable; urgency=medium

  * use -DARMA_USE_HDF5=1

 -- Andreas Tille <tille@debian.org>  Tue, 19 Apr 2016 10:39:15 +0200

seer (1.1.1-1) unstable; urgency=medium

  * New upstream version
  * Moved packaging from SVN to Git
  * Suggests: fsm-lite
  * Add notice to log if test fails but continue building anyway

 -- Andreas Tille <tille@debian.org>  Thu, 14 Apr 2016 13:33:36 +0200

seer (1.1.0-1) unstable; urgency=medium

  * Initial release (Closes: #819674)

 -- Andreas Tille <tille@debian.org>  Thu, 31 Mar 2016 22:35:05 +0200
