=== debian/control ===
Source: seer
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 9),
               libarmadillo-dev,
               libdlib-dev,
               libhdf5-dev,
#              libhdf5-mpi-dev,
               libgzstream-dev,
               libboost-dev,
               libboost-program-options-dev
Standards-Version: 3.9.7
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/seer.git
Vcs-Git: https://anonscm.debian.org/git/debian-med/seer.git
Homepage: https://github.com/johnlees/seer

Package: seer
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libtext-csv-perl
Suggests: fsm-lite
Description: genomic sequence element (kmer) enrichment analysis
 Bacterial genomes vary extensively in terms of both gene content and
 gene sequence - this plasticity hampers the use of traditional SNP-based
 methods for identifying all genetic associations with phenotypic
 variation. SEER provides a computationally scalable and widely
 applicable statistical method for the identification of sequence
 elements that are significantly enriched in a phenotype of interest.
 SEER is applicable to even tens of thousands of genomes by counting variable-
 length k-mers using a distributed string-mining algorithm. Robust
 options are provided for association analysis that also correct for the
 clonal population structure of bacteria. Using large collections of
 genomes of the major human pathogen Streptococcus pneumoniae, SEER
 identifies relevant previously characterised resistance determinants for
 several antibiotics.
