=== debian/changelog ===
seer (1.1.2-3) unstable; urgency=medium

  * Better documentation of scripts

 -- Andreas Tille <tille@debian.org>  Thu, 23 Mar 2017 14:33:36 +0100

seer (1.1.2-2) unstable; urgency=medium

  * Install all available scripts in scripts/ dir into binary package
    Closes: #858430

 -- Andreas Tille <tille@debian.org>  Wed, 22 Mar 2017 11:43:16 +0100

seer (1.1.2-1) unstable; urgency=medium

  * New upstream version
  * Add versioned Build-Depends libarmadillo-dev
  * debhelper 10
  * d/watch: version=4

 -- Andreas Tille <tille@debian.org>  Wed, 07 Dec 2016 23:05:02 +0100
