=== debian/control ===
--- 
+++ 
@@ -3,15 +3,15 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 9),
-               libarmadillo-dev,
+Build-Depends: debhelper (>= 10),
+               libarmadillo-dev  (>= 1:6.700.6+dfsg-1~),
                libdlib-dev,
                libhdf5-dev,
 #              libhdf5-mpi-dev,
                libgzstream-dev,
                libboost-dev,
                libboost-program-options-dev
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/seer.git
 Vcs-Git: https://anonscm.debian.org/git/debian-med/seer.git
 Homepage: https://github.com/johnlees/seer
