## seer 1.1.4

=== DESCRIPTION ===
Package: seer
Type: Package
Title: Feature-Based Forecast Model Selection
Version: 1.1.4
Authors@R: c(
    person("Thiyanga", "Talagala", email = "tstalagala@gmail.com", role = c("aut", "cre"), comment=c(ORCID = "0000-0002-0656-9789")),
    person("Rob J", "Hyndman", role = c("ths", "aut"), comment = c(ORCID = "0000-0002-2140-5352")),
    person("George", "Athanasopoulos", role = c("ths", "aut")))
Maintainer: Thiyanga Talagala <tstalagala@gmail.com>
Description: A novel meta-learning framework for forecast model selection using time series features. Many applications require a large number of time series to be forecast. Providing better forecasts for these time series is important in decision and policy making. We propose a classification framework which selects forecast models based on features calculated from the time series. We call this framework FFORMS (Feature-based FORecast Model Selection). FFORMS builds a mapping that relates the features of time series to the best forecast model using a random forest. 'seer' package is the implementation of the FFORMS algorithm. For more details see our paper at <https://www.monash.edu/business/econometrics-and-business-statistics/research/publications/ebs/wp06-2018.pdf>.
License: GPL-3
Depends: R (>= 3.2.3),
Imports: stats, urca, forecast (>= 8.3), tsfeatures, dplyr, magrittr,
        randomForest, Mcomp, forecTheta, stringr, tibble, purrr,
        ForeCA, future, furrr, utils, repmis
Encoding: UTF-8
RoxygenNote: 6.1.1
Suggests: testthat (>= 2.1.0), covr
NeedsCompilation: no
Packaged: 2020-02-21 09:53:35 UTC; thiyangashaminitalagala
Author: Thiyanga Talagala [aut, cre] (<https://orcid.org/0000-0002-0656-9789>),
  Rob J Hyndman [ths, aut] (<https://orcid.org/0000-0002-2140-5352>),
  George Athanasopoulos [ths, aut]
Repository: CRAN
Date/Publication: 2020-02-21 17:20:03 UTC
