=== src/Makefile ===
--- 
+++ 
@@ -12,7 +12,7 @@
 #FILTER_LDLIBS=-L$(PREFIX)/lib -lboost_program_options -mkl
 # gcc
 CXXFLAGS=-Wall -O3 -std=c++11
-SEER_LDLIBS=-L../gzstream -L$(PREFIX)/lib -lhdf5 -lgzstream -lz -larmadillo -lboost_program_options -llapack -lblas -lpthread
+SEER_LDLIBS=-L../gzstream -L$(PREFIX)/lib -L/usr/local/hdf5/lib -lhdf5 -lgzstream -lz -larmadillo -lboost_program_options -llapack -lblas -lpthread
 MAP_LDLIBS=-L$(PREFIX)/lib -lboost_program_options -lpthread
 COMBINE_LDLIBS=-L../gzstream -L$(PREFIX)/lib -lgzstream -lz -lboost_program_options
 FILTER_LDLIBS=-L$(PREFIX)/lib -lboost_program_options
@@ -40,8 +40,8 @@
 STATIC_PROGRAMS=seer_static kmds_static map_back_static combineKmers_static filter_seer_static
 
 CLASSES=sample.o significant_kmer.o kmer.o covar.o
-COMMON_OBJECTS=$(CLASSES) seerCommon.o seerErr.o seerFilter.o seerIO.o seerChiFilter.o
-SEER_OBJECTS=$(COMMON_OBJECTS) seerMain.o seerCmdLine.o seerContinuousAssoc.o seerBinaryAssoc.o logitFunction.o linearFunction.o
+COMMON_OBJECTS=$(CLASSES) seerCommon.o seerErr.o seerIO.o seerBasicFilter.o
+SEER_OBJECTS=$(COMMON_OBJECTS) seerMain.o seerCmdLine.o seerStats.o seerContinuousAssoc.o seerBinaryAssoc.o logitFunction.o linearFunction.o
 KMDS_OBJECTS=$(COMMON_OBJECTS) kmdsMain.o kmdsStruct.o kmdsCmdLine.o
 MAP_OBJECTS=fasta.o significant_kmer.o mapMain.o mapCmdLine.o
 COMBINE_OBJECTS=combineInit.o combineCmdLine.o combineKmers.o
