=== test/Makefile ===
all:
	./run_test.pl && touch tests_passed

clean:
	$(RM) *.o ~* tests_passed

test: all

.PHONY: all clean install test
