=== debian/changelog ===
seer (1.1.4-1build1) bionic; urgency=medium

  * No-change rebuild for armadillo soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 16 Nov 2017 16:10:55 +0000

seer (1.1.4-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.1.0 (no changes needed)

 -- Andreas Tille <tille@debian.org>  Thu, 28 Sep 2017 13:20:25 +0200
