=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                libgzstream-dev,
                libboost-dev,
                libboost-program-options-dev
-Standards-Version: 3.9.8
+Standards-Version: 4.1.0
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/seer.git
 Vcs-Git: https://anonscm.debian.org/git/debian-med/seer.git
 Homepage: https://github.com/johnlees/seer
