=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1
DEBPKGNAME     := $(shell dpkg-parsechangelog | awk '/^Source:/ {print $$2}')

include /usr/share/dpkg/architecture.mk
export CPATH := /usr/include/hdf5/serial
export LIBRARY_PATH := /usr/lib/$(DEB_TARGET_MULTIARCH)/hdf5/serial

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

CMAKE_EXTRA_FLAGS += -DARMA_USE_HDF5=1

override_dh_auto_install:
	dh_auto_install -- PREFIX=$(CURDIR)/debian/$(DEBPKGNAME)/usr
	for pl in scripts/*.pl ; do \
	    plbase=`basename $${pl} .pl` ; \
	    sed "s+Usage: ./$${plbase}.pl+Usage: $${plbase}+" $${pl} > $(CURDIR)/debian/$(DEBPKGNAME)/usr/bin/$${plbase} ; \
	done
	# Fix broken usage hint:
	sed -i "s+Usage: ./hits_to_matrix.pl+Usage: reformat_output+" $(CURDIR)/debian/$(DEBPKGNAME)/usr/bin/reformat_output

%:
	dh $@

override_dh_auto_test:
	if dh_auto_test ; then echo Test passed ; else echo '****************************** TEST FAILED.  Please contact upstream *******************************' ; fi
