=== debian/watch ===
version=4

https://github.com/johnlees/seer/releases .*/archive/v(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)
